Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/Fropos2CategorieMacro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/Fropos2CategorieMacro.groovy	(revision 786)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/Fropos2CategorieMacro.groovy	(revision 787)
@@ -77,7 +77,7 @@
 if (!ParametersDialog.open(this)) return
 
 corpus = corpusViewSelection
-CQI = CQPEngine.getCqiClient()
+CQI = CQPSearchEngine.getCqiClient()
 word = corpus.getWordProperty()
 posProperty = corpus.getProperty(pos_property_name)
 if (posProperty == null) {
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/AnalecAnnotationReIndexer.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/AnalecAnnotationReIndexer.java	(revision 786)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/AnalecAnnotationReIndexer.java	(revision 787)
@@ -10,7 +10,7 @@
 
 import org.txm.Toolbox;
 import org.txm.searchengine.cqp.AbstractCqiClient;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Property;
@@ -37,7 +37,7 @@
 		String text = analecCorpus.getTexte();
 		int isearch = 0; // the current search start position
 
-		AbstractCqiClient CQI = CQPEngine.getCqiClient();
+		AbstractCqiClient CQI = CQPSearchEngine.getCqiClient();
 		Property word = corpus.getProperty("word");
 
 		int positions[] = new int[corpusSize];
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 786)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 787)
@@ -102,7 +102,7 @@
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.core.SearchEnginesManager;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.utils.BundleUtils;
 import org.txm.utils.DeleteDir;
 import org.txm.utils.logger.Log;
Index: tmp/org.txm.core/src/java/org/txm/Toolbox.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 786)
+++ tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 787)
@@ -243,7 +243,7 @@
 		}
 
 		try {
-			startsEngineManagers(monitor);
+			startEnginesManagers(monitor);
 		} catch (Exception e) {
 			Log.severe("Error while starting engines.");
 			e.printStackTrace();
@@ -476,7 +476,7 @@
 	 */
 	public static void shutdown() {
 
-		stopEngineManagers();
+		stopEnginesManagers();
 
 		if(Toolbox.workspace != null)
 			Toolbox.workspace.save();
@@ -521,26 +521,46 @@
 		}
 	}
 
-	private static boolean startsEngineManagers(IProgressMonitor monitor) {
+	private static boolean startEnginesManagers(IProgressMonitor monitor) {
 
 		fetchEnginesManagers();
 
-		Log.info("Starting " + enginesManagers.keySet().size() + " engines managers...");
+		Log.finest("Starting engines of the " + enginesManagers.keySet().size() + " engines managers...");
 
 		boolean result = true;
 		for (EngineType et : enginesManagers.keySet()) {
+			EnginesManager<?> enginesManager = enginesManagers.get(et);
 			try {
-				EnginesManager<?> e = enginesManagers.get(et);
-				Log.info("Starting engines manager: " + e.getClass());
-				result = e.startEngines(monitor) && result; // order is important
+				Log.finest(enginesManager.getClass().getSimpleName() + ": starting " + enginesManager.getEngines().size() + " " + enginesManager.getEnginesDescription() + " engine(s)...");
+				result = enginesManager.startEngines(monitor) && result; // order is important
 			} catch(Exception e) {
-				Log.severe("Error while starting engine manager.");
+				Log.severe("Error while starting engines of the " + enginesManager.getEnginesDescription() + " engines manager.");
 				e.printStackTrace();
 			}
 		}
 		return result;
 	}
 
+	private static boolean stopEnginesManagers() {
+
+		Log.finest("Stopping engines of the " + enginesManagers.keySet().size() + " engines managers...");
+		
+		if (enginesManagers == null) return true;
+		if (enginesManagers.size() == 0) return true;
+
+		boolean result = true;
+		for (EngineType et : enginesManagers.keySet()) {
+			EnginesManager<?> enginesManager = enginesManagers.get(et);
+			Log.finest(enginesManager.getClass().getSimpleName() + ": stopping " + enginesManager.getEngines().size() + " " + enginesManager.getEnginesDescription() + " engine(s)...");
+			result = result && enginesManager.stopEngines();
+			removeEngineManager(enginesManager); // remove the engine anyway
+		}
+
+		return true;
+	}
+
+
+	
 	private static boolean startWorkspace(IProgressMonitor monitor) {
 		String txmhomedir = TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE);
 		if (txmhomedir == null || txmhomedir.length() == 0) {
@@ -551,13 +571,13 @@
 		String location = txmhomedir + "/workspaces/default.xml";
 		
 		Version currentVersion = BundleUtils.getBundleVersion("org.txm.core");
-		Log.info("Current toolbox version: " + currentVersion);
+		Log.info("Current toolbox version: " + currentVersion + ".");
 		String installedVersionString = TXMPreferences.getString(TBXPreferences.VERSION, TBXPreferences.PREFERENCES_NODE);
 		if (installedVersionString.isEmpty()) {
 			installedVersionString = "0.0.0";
 		}
 		Version installedVersion = new Version(installedVersionString);
-		Log.info("Installed toolbox version: " + installedVersion);
+		Log.info("Installed toolbox version: " + installedVersion + ".");
 		try {
 
 			//System.out.println("Toolbox.startWorkspace(): workspace location = " + location);
@@ -617,22 +637,6 @@
 		return workspace != null;
 	}
 
-	private static boolean stopEngineManagers() {
-
-		if (enginesManagers == null) return true;
-		if (enginesManagers.size() == 0) return true;
-
-		boolean result = true;
-		for (EngineType c : enginesManagers.keySet()) {
-			EnginesManager<?> e = enginesManagers.get(c);
-			Log.info("Disconnect&stop engine: "+e.getClass());
-			result = result && e.stopEngines();
-			removeEngineManager(e); // remove the engine anyway
-		}
-
-		return true;
-	}
-
 	/* (non-Javadoc)
 	 * @see java.lang.Object#finalize()
 	 */
